<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <app-header></app-header>
        <app-content></app-content>
        <app-footer></app-footer>
        <app-footer2></app-footer2>
    </div>
    <div id="app2">
        <app-header></app-header>
        <app-content></app-content>
        <app-footer></app-footer>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
        //전역 컴포넌트 등록 방식
        //Vue.component('컴포넌트 이름', 컴포넌트 내용);
        Vue.component('app-header',{
            template: '<h1>app-header</h1>'
        });
        Vue.component('app-content',{
            template: '<div>app-content</div>'
        });

        var appFooter2 = {
            template: '<footer>footer2</footer>'
        }

        new Vue({
            el: '#app',
            components: {
                //'키': '값',
                //'컴포넌트 이름': 컴포넌트 내용
                //지역 컴포넌트 등록 방식
                'app-footer' : {
                    template: '<footer>footer</footer>'
                },
                'app-footer2' : appFooter2
            }
        });
        new Vue({
            el: '#app2'
        })
    </script>
</body>
</html>